<?php



$tdatadbw_saldo_contas = array();
$tdatadbw_saldo_contas[".searchableFields"] = array();
$tdatadbw_saldo_contas[".ShortName"] = "dbw_saldo_contas";
$tdatadbw_saldo_contas[".OwnerID"] = "";
$tdatadbw_saldo_contas[".OriginalTable"] = "dbw_saldo contas";


$tdatadbw_saldo_contas[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatadbw_saldo_contas[".originalPagesByType"] = $tdatadbw_saldo_contas[".pagesByType"];
$tdatadbw_saldo_contas[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatadbw_saldo_contas[".originalPages"] = $tdatadbw_saldo_contas[".pages"];
$tdatadbw_saldo_contas[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatadbw_saldo_contas[".originalDefaultPages"] = $tdatadbw_saldo_contas[".defaultPages"];

//	field labels
$fieldLabelsdbw_saldo_contas = array();
$fieldToolTipsdbw_saldo_contas = array();
$pageTitlesdbw_saldo_contas = array();
$placeHoldersdbw_saldo_contas = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsdbw_saldo_contas["English"] = array();
	$fieldToolTipsdbw_saldo_contas["English"] = array();
	$placeHoldersdbw_saldo_contas["English"] = array();
	$pageTitlesdbw_saldo_contas["English"] = array();
	$fieldLabelsdbw_saldo_contas["English"]["cbancID"] = "Banc ID";
	$fieldToolTipsdbw_saldo_contas["English"]["cbancID"] = "";
	$placeHoldersdbw_saldo_contas["English"]["cbancID"] = "";
	$fieldLabelsdbw_saldo_contas["English"]["Reembolsar"] = "Reembolsar";
	$fieldToolTipsdbw_saldo_contas["English"]["Reembolsar"] = "";
	$placeHoldersdbw_saldo_contas["English"]["Reembolsar"] = "";
	$fieldLabelsdbw_saldo_contas["English"]["MDC"] = "Credito/Debito";
	$fieldToolTipsdbw_saldo_contas["English"]["MDC"] = "";
	$placeHoldersdbw_saldo_contas["English"]["MDC"] = "";
	$fieldLabelsdbw_saldo_contas["English"]["Saldo_Prev"] = "Saldo Previsto";
	$fieldToolTipsdbw_saldo_contas["English"]["Saldo_Prev"] = "";
	$placeHoldersdbw_saldo_contas["English"]["Saldo_Prev"] = "";
	$fieldLabelsdbw_saldo_contas["English"]["banco"] = "Banco";
	$fieldToolTipsdbw_saldo_contas["English"]["banco"] = "";
	$placeHoldersdbw_saldo_contas["English"]["banco"] = "";
	$fieldLabelsdbw_saldo_contas["English"]["cidade"] = "Cidade";
	$fieldToolTipsdbw_saldo_contas["English"]["cidade"] = "";
	$placeHoldersdbw_saldo_contas["English"]["cidade"] = "";
	if (count($fieldToolTipsdbw_saldo_contas["English"]))
		$tdatadbw_saldo_contas[".isUseToolTips"] = true;
}


	$tdatadbw_saldo_contas[".NCSearch"] = true;



$tdatadbw_saldo_contas[".shortTableName"] = "dbw_saldo_contas";
$tdatadbw_saldo_contas[".nSecOptions"] = 0;

$tdatadbw_saldo_contas[".mainTableOwnerID"] = "";
$tdatadbw_saldo_contas[".entityType"] = 0;

$tdatadbw_saldo_contas[".strOriginalTableName"] = "dbw_saldo contas";

	



$tdatadbw_saldo_contas[".showAddInPopup"] = false;

$tdatadbw_saldo_contas[".showEditInPopup"] = false;

$tdatadbw_saldo_contas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadbw_saldo_contas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatadbw_saldo_contas[".listAjax"] = false;
//	temporary
$tdatadbw_saldo_contas[".listAjax"] = false;

	$tdatadbw_saldo_contas[".audit"] = false;

	$tdatadbw_saldo_contas[".locking"] = false;


$pages = $tdatadbw_saldo_contas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadbw_saldo_contas[".edit"] = true;
	$tdatadbw_saldo_contas[".afterEditAction"] = 1;
	$tdatadbw_saldo_contas[".closePopupAfterEdit"] = 1;
	$tdatadbw_saldo_contas[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadbw_saldo_contas[".add"] = true;
$tdatadbw_saldo_contas[".afterAddAction"] = 1;
$tdatadbw_saldo_contas[".closePopupAfterAdd"] = 1;
$tdatadbw_saldo_contas[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadbw_saldo_contas[".list"] = true;
}



$tdatadbw_saldo_contas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadbw_saldo_contas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadbw_saldo_contas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadbw_saldo_contas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadbw_saldo_contas[".printFriendly"] = true;
}



$tdatadbw_saldo_contas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadbw_saldo_contas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadbw_saldo_contas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadbw_saldo_contas[".isUseAjaxSuggest"] = true;

$tdatadbw_saldo_contas[".rowHighlite"] = true;





$tdatadbw_saldo_contas[".ajaxCodeSnippetAdded"] = false;

$tdatadbw_saldo_contas[".buttonsAdded"] = false;

$tdatadbw_saldo_contas[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadbw_saldo_contas[".isUseTimeForSearch"] = false;


$tdatadbw_saldo_contas[".badgeColor"] = "E8926F";


$tdatadbw_saldo_contas[".allSearchFields"] = array();
$tdatadbw_saldo_contas[".filterFields"] = array();
$tdatadbw_saldo_contas[".requiredSearchFields"] = array();

$tdatadbw_saldo_contas[".googleLikeFields"] = array();
$tdatadbw_saldo_contas[".googleLikeFields"][] = "cbancID";
$tdatadbw_saldo_contas[".googleLikeFields"][] = "MDC";
$tdatadbw_saldo_contas[".googleLikeFields"][] = "Reembolsar";
$tdatadbw_saldo_contas[".googleLikeFields"][] = "Saldo_Prev";
$tdatadbw_saldo_contas[".googleLikeFields"][] = "banco";
$tdatadbw_saldo_contas[".googleLikeFields"][] = "cidade";



$tdatadbw_saldo_contas[".tableType"] = "list";

$tdatadbw_saldo_contas[".printerPageOrientation"] = 0;
$tdatadbw_saldo_contas[".nPrinterPageScale"] = 100;

$tdatadbw_saldo_contas[".nPrinterSplitRecords"] = 40;

$tdatadbw_saldo_contas[".geocodingEnabled"] = false;










$tdatadbw_saldo_contas[".pageSize"] = 20;

$tdatadbw_saldo_contas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadbw_saldo_contas[".strOrderBy"] = $tstrOrderBy;

$tdatadbw_saldo_contas[".orderindexes"] = array();

$tdatadbw_saldo_contas[".sqlHead"] = "SELECT `dbw_saldo contas`.cbancID,  SUM(`dbw_saldo contas`.valor) AS MDC,  SUM(`dbw_saldo contas`.Reembolso) AS Reembolsar,  Sum(valor)+Sum(Reembolso) AS Saldo_Prev,  tb_contas_banc.banco,  tb_contas_banc.cidade";
$tdatadbw_saldo_contas[".sqlFrom"] = "FROM `dbw_saldo contas`  INNER JOIN tb_contas_banc ON `dbw_saldo contas`.cbancID = tb_contas_banc.contaID";
$tdatadbw_saldo_contas[".sqlWhereExpr"] = "";
$tdatadbw_saldo_contas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadbw_saldo_contas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadbw_saldo_contas[".arrGroupsPerPage"] = $arrGPP;

$tdatadbw_saldo_contas[".highlightSearchResults"] = true;

$tableKeysdbw_saldo_contas = array();
$tdatadbw_saldo_contas[".Keys"] = $tableKeysdbw_saldo_contas;


$tdatadbw_saldo_contas[".hideMobileList"] = array();




//	cbancID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "cbancID";
	$fdata["GoodName"] = "cbancID";
	$fdata["ownerTable"] = "dbw_saldo contas";
	$fdata["Label"] = GetFieldLabel("dbw_saldo_contas","cbancID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cbancID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`dbw_saldo contas`.cbancID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_saldo_contas["cbancID"] = $fdata;
		$tdatadbw_saldo_contas[".searchableFields"][] = "cbancID";
//	MDC
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "MDC";
	$fdata["GoodName"] = "MDC";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("dbw_saldo_contas","MDC");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "MDC";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(`dbw_saldo contas`.valor)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_saldo_contas["MDC"] = $fdata;
		$tdatadbw_saldo_contas[".searchableFields"][] = "MDC";
//	Reembolsar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Reembolsar";
	$fdata["GoodName"] = "Reembolsar";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("dbw_saldo_contas","Reembolsar");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "reembolsar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(`dbw_saldo contas`.Reembolso)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_saldo_contas["Reembolsar"] = $fdata;
		$tdatadbw_saldo_contas[".searchableFields"][] = "Reembolsar";
//	Saldo_Prev
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Saldo_Prev";
	$fdata["GoodName"] = "Saldo_Prev";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("dbw_saldo_contas","Saldo_Prev");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Saldo_Prev";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Sum(valor)+Sum(Reembolso)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_saldo_contas["Saldo_Prev"] = $fdata;
		$tdatadbw_saldo_contas[".searchableFields"][] = "Saldo_Prev";
//	banco
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "banco";
	$fdata["GoodName"] = "banco";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("dbw_saldo_contas","banco");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "banco";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_contas_banc.banco";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_saldo_contas["banco"] = $fdata;
		$tdatadbw_saldo_contas[".searchableFields"][] = "banco";
//	cidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "cidade";
	$fdata["GoodName"] = "cidade";
	$fdata["ownerTable"] = "tb_contas_banc";
	$fdata["Label"] = GetFieldLabel("dbw_saldo_contas","cidade");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tb_contas_banc.cidade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_saldo_contas["cidade"] = $fdata;
		$tdatadbw_saldo_contas[".searchableFields"][] = "cidade";


$tables_data["dbw_saldo contas"]=&$tdatadbw_saldo_contas;
$field_labels["dbw_saldo_contas"] = &$fieldLabelsdbw_saldo_contas;
$fieldToolTips["dbw_saldo_contas"] = &$fieldToolTipsdbw_saldo_contas;
$placeHolders["dbw_saldo_contas"] = &$placeHoldersdbw_saldo_contas;
$page_titles["dbw_saldo_contas"] = &$pageTitlesdbw_saldo_contas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["dbw_saldo contas"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["dbw_saldo contas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_dbw_saldo_contas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "`dbw_saldo contas`.cbancID,  SUM(`dbw_saldo contas`.valor) AS MDC,  SUM(`dbw_saldo contas`.Reembolso) AS Reembolsar,  Sum(valor)+Sum(Reembolso) AS Saldo_Prev,  tb_contas_banc.banco,  tb_contas_banc.cidade";
$proto0["m_strFrom"] = "FROM `dbw_saldo contas`  INNER JOIN tb_contas_banc ON `dbw_saldo contas`.cbancID = tb_contas_banc.contaID";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "cbancID",
	"m_strTable" => "dbw_saldo contas",
	"m_srcTableName" => "dbw_saldo contas"
));

$proto6["m_sql"] = "`dbw_saldo contas`.cbancID";
$proto6["m_srcTableName"] = "dbw_saldo contas";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$proto9=array();
$proto9["m_functiontype"] = "SQLF_SUM";
$proto9["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "valor",
	"m_strTable" => "dbw_saldo contas",
	"m_srcTableName" => "dbw_saldo contas"
));

$proto9["m_arguments"][]=$obj;
$proto9["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto9);

$proto8["m_sql"] = "SUM(`dbw_saldo contas`.valor)";
$proto8["m_srcTableName"] = "dbw_saldo contas";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "MDC";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$proto12=array();
$proto12["m_functiontype"] = "SQLF_SUM";
$proto12["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "Reembolso",
	"m_strTable" => "dbw_saldo contas",
	"m_srcTableName" => "dbw_saldo contas"
));

$proto12["m_arguments"][]=$obj;
$proto12["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto12);

$proto11["m_sql"] = "SUM(`dbw_saldo contas`.Reembolso)";
$proto11["m_srcTableName"] = "dbw_saldo contas";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "Reembolsar";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "Sum(valor)+Sum(Reembolso)"
));

$proto14["m_sql"] = "Sum(valor)+Sum(Reembolso)";
$proto14["m_srcTableName"] = "dbw_saldo contas";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "Saldo_Prev";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "banco",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "dbw_saldo contas"
));

$proto16["m_sql"] = "tb_contas_banc.banco";
$proto16["m_srcTableName"] = "dbw_saldo contas";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "cidade",
	"m_strTable" => "tb_contas_banc",
	"m_srcTableName" => "dbw_saldo contas"
));

$proto18["m_sql"] = "tb_contas_banc.cidade";
$proto18["m_srcTableName"] = "dbw_saldo contas";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "dbw_saldo contas";
$proto21["m_srcTableName"] = "dbw_saldo contas";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "entradaID";
$proto21["m_columns"][] = "cbancID";
$proto21["m_columns"][] = "tipo_lanc";
$proto21["m_columns"][] = "origem";
$proto21["m_columns"][] = "valor";
$proto21["m_columns"][] = "Reembolso";
$proto21["m_columns"][] = "observacao";
$proto21["m_columns"][] = "doc";
$proto21["m_columns"][] = "incluir";
$proto21["m_columns"][] = "data";
$proto21["m_columns"][] = "reembolsar";
$proto21["m_columns"][] = "credor";
$proto21["m_columns"][] = "status_reemb";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "`dbw_saldo contas`";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "dbw_saldo contas";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
												$proto24=array();
$proto24["m_link"] = "SQLL_INNERJOIN";
			$proto25=array();
$proto25["m_strName"] = "tb_contas_banc";
$proto25["m_srcTableName"] = "dbw_saldo contas";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "contaID";
$proto25["m_columns"][] = "agencia";
$proto25["m_columns"][] = "Num_conta";
$proto25["m_columns"][] = "cidade";
$proto25["m_columns"][] = "status";
$proto25["m_columns"][] = "tipo";
$proto25["m_columns"][] = "titular";
$proto25["m_columns"][] = "titular_conjunto";
$proto25["m_columns"][] = "ativar";
$proto25["m_columns"][] = "banco";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "INNER JOIN tb_contas_banc ON `dbw_saldo contas`.cbancID = tb_contas_banc.contaID";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "dbw_saldo contas";
$proto26=array();
$proto26["m_sql"] = "`dbw_saldo contas`.cbancID = tb_contas_banc.contaID";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "cbancID",
	"m_strTable" => "dbw_saldo contas",
	"m_srcTableName" => "dbw_saldo contas"
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "= tb_contas_banc.contaID";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
												$proto28=array();
						$obj = new SQLField(array(
	"m_strName" => "cbancID",
	"m_strTable" => "dbw_saldo contas",
	"m_srcTableName" => "dbw_saldo contas"
));

$proto28["m_column"]=$obj;
$obj = new SQLGroupByItem($proto28);

$proto0["m_groupby"][]=$obj;
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="dbw_saldo contas";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_dbw_saldo_contas = createSqlQuery_dbw_saldo_contas();


	
		;

						

$tdatadbw_saldo_contas[".sqlquery"] = $queryData_dbw_saldo_contas;

$tableEvents["dbw_saldo contas"] = new eventsBase;
$tdatadbw_saldo_contas[".hasEvents"] = false;

?>